Package org.jboss.resteasy.core

## Class ThreadLocalResteasyProviderFactory

- java.lang.Object
- - javax.ws.rs.ext.RuntimeDelegate
  - - org.jboss.resteasy.spi.ResteasyProviderFactory
    - - org.jboss.resteasy.core.providerfactory.ResteasyProviderFactoryImpl
      - - org.jboss.resteasy.core.ThreadLocalResteasyProviderFactory

- All Implemented Interfaces:
    `javax.ws.rs.core.Configurable<ResteasyProviderFactory>`, `javax.ws.rs.core.Configuration`, `javax.ws.rs.ext.Providers`, `HeaderValueProcessor`, `ProviderFactoryDelegate`

      public final class ThreadLocalResteasyProviderFactory
      extends ResteasyProviderFactoryImpl
      implements ProviderFactoryDelegate

  Allow applications to push/pop provider factories onto the stack.
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.ws.rs.ext.RuntimeDelegate

      `javax.ws.rs.ext.RuntimeDelegate.HeaderDelegate<T extends Object>`

  - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.core.providerfactory.ResteasyProviderFactoryImpl

      `alreadyEstablishedNullHeaderDelegate, asyncContextInjectors, attachedContextResolvers, attachedParamConverterProviders, builtinsRegistered, classContracts, clientHelper, contextInjectors, contextResolvers, enabledFeatures, headerDelegates, initialized, injectorFactory, lockSnapshots, properties, providerClasses, providerInstances, registerBuiltins, resourceBuilder, serverHelper, sortedParamConverterProviders, statisticsController, stringParameterUnmarshallers`

    - ### Fields inherited from class javax.ws.rs.ext.RuntimeDelegate

      `JAXRS_RUNTIME_DELEGATE_PROPERTY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ThreadLocalResteasyProviderFactory​(ResteasyProviderFactory defaultFactory)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addHeaderDelegate​(Class clazz, javax.ws.rs.ext.RuntimeDelegate.HeaderDelegate header)` |
    `<T> T` | `createEndpoint​(javax.ws.rs.core.Application applicationConfig, Class<T> endpointType)` | This is a spec method that is unsupported.
    `<T> javax.ws.rs.ext.RuntimeDelegate.HeaderDelegate<T>` | `createHeaderDelegate​(Class<T> tClass)` |
    `javax.ws.rs.core.Link.Builder` | `createLinkBuilder()` |
    `<T> T` | `createProviderInstance​(Class<? extends T> clazz)` | Create an instance of a class using provider allocation rules of the specification as well as the InjectorFactory only does constructor injection.
    `javax.ws.rs.core.Response.ResponseBuilder` | `createResponseBuilder()` |
    `<T> StringParameterUnmarshaller<T>` | `createStringParameterUnmarshaller​(Class<T> clazz)` |
    `javax.ws.rs.core.UriBuilder` | `createUriBuilder()` |
    `javax.ws.rs.core.Variant.VariantListBuilder` | `createVariantListBuilder()` |
    `Map<Type,​ContextInjector>` | `getAsyncContextInjectors()` |
    `<T> AsyncResponseProvider<T>` | `getAsyncResponseProvider​(Class<T> type)` |
    `Map<Class<?>,​AsyncResponseProvider>` | `getAsyncResponseProviders()` |
    `<T> AsyncStreamProvider<T>` | `getAsyncStreamProvider​(Class<T> type)` |
    `Map<Class<?>,​AsyncStreamProvider>` | `getAsyncStreamProviders()` |
    `Set<Class<?>>` | `getClasses()` |
    `Set<javax.ws.rs.container.DynamicFeature>` | `getClientDynamicFeatures()` |
    `<T> javax.ws.rs.ext.MessageBodyReader<T>` | `getClientMessageBodyReader​(Class<T> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)` |
    `<T> javax.ws.rs.ext.MessageBodyWriter<T>` | `getClientMessageBodyWriter​(Class<T> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)` |
    `JaxrsInterceptorRegistry<javax.ws.rs.ext.ReaderInterceptor>` | `getClientReaderInterceptorRegistry()` |
    `JaxrsInterceptorRegistry<javax.ws.rs.client.ClientRequestFilter>` | `getClientRequestFilterRegistry()` |
    `JaxrsInterceptorRegistry<javax.ws.rs.client.ClientResponseFilter>` | `getClientResponseFilters()` |
    `JaxrsInterceptorRegistry<javax.ws.rs.ext.WriterInterceptor>` | `getClientWriterInterceptorRegistry()` |
    `javax.ws.rs.core.MediaType` | `getConcreteMediaTypeFromMessageBodyWriters​(Class<?> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)` |
    `javax.ws.rs.core.Configuration` | `getConfiguration()` |
    `JaxrsInterceptorRegistry<javax.ws.rs.container.ContainerRequestFilter>` | `getContainerRequestFilterRegistry()` |
    `JaxrsInterceptorRegistry<javax.ws.rs.container.ContainerResponseFilter>` | `getContainerResponseFilterRegistry()` |
    `<T> T` | `getContextData​(Class<T> rawType, Type genericType, Annotation[] annotations, boolean unwrapAsync)` |
    `Map<Type,​ContextInjector>` | `getContextInjectors()` |
    `<T> javax.ws.rs.ext.ContextResolver<T>` | `getContextResolver​(Class<T> contextType, javax.ws.rs.core.MediaType mediaType)` |
    `List<javax.ws.rs.ext.ContextResolver>` | `getContextResolvers​(Class<?> clazz, javax.ws.rs.core.MediaType type)` |
    `Map<Class<?>,​Integer>` | `getContracts​(Class<?> componentClass)` |
    `ResteasyProviderFactory` | `getDelegate()` |
    `Collection<javax.ws.rs.core.Feature>` | `getEnabledFeatures()` |
    `<T extends Throwable> javax.ws.rs.ext.ExceptionMapper<T>` | `getExceptionMapper​(Class<T> type)` |
    `javax.ws.rs.ext.RuntimeDelegate.HeaderDelegate<?>` | `getHeaderDelegate​(Class<?> aClass)` | Checks to see if RuntimeDelegate is a ResteasyProviderFactory If it is, then use that, otherwise use this.
    `InjectorFactory` | `getInjectorFactory()` |
    `Set<Object>` | `getInstances()` |
    `<T> javax.ws.rs.ext.MessageBodyReader<T>` | `getMessageBodyReader​(Class<T> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)` | Always returns server MBRs.
    `<T> javax.ws.rs.ext.MessageBodyWriter<T>` | `getMessageBodyWriter​(Class<T> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)` | Always gets server MBW.
    `Map<String,​Object>` | `getMutableProperties()` |
    `javax.ws.rs.ext.ParamConverter` | `getParamConverter​(Class clazz, Type genericType, Annotation[] annotations)` |
    `Map<String,​Object>` | `getProperties()` |
    `Object` | `getProperty​(String name)` |
    `Collection<String>` | `getPropertyNames()` |
    `Set<Class<?>>` | `getProviderClasses()` | Gets provide classes.
    `Set<Object>` | `getProviderInstances()` | Gets provider instances.
    `javax.ws.rs.RuntimeType` | `getRuntimeType()` |
    `Set<javax.ws.rs.container.DynamicFeature>` | `getServerDynamicFeatures()` |
    `JaxrsInterceptorRegistry<javax.ws.rs.ext.ReaderInterceptor>` | `getServerReaderInterceptorRegistry()` |
    `JaxrsInterceptorRegistry<javax.ws.rs.ext.WriterInterceptor>` | `getServerWriterInterceptorRegistry()` |
    `protected void` | `initialize()` |
    `<T> T` | `injectedInstance​(Class<? extends T> clazz)` | Property and constructor injection using the InjectorFactory.
    `<T> T` | `injectedInstance​(Class<? extends T> clazz, HttpRequest request, HttpResponse response)` | Property and constructor injection using the InjectorFactory.
    `void` | `injectProperties​(Object obj)` |
    `void` | `injectProperties​(Object obj, HttpRequest request, HttpResponse response)` |
    `boolean` | `isBuiltinsRegistered()` |
    `boolean` | `isEnabled​(Class<? extends javax.ws.rs.core.Feature> featureClass)` |
    `boolean` | `isEnabled​(javax.ws.rs.core.Feature feature)` |
    `boolean` | `isRegisterBuiltins()` |
    `boolean` | `isRegistered​(Class<?> componentClass)` |
    `boolean` | `isRegistered​(Object component)` |
    `static void` | `pop()` |
    `ResteasyProviderFactory` | `property​(String name, Object value)` |
    `static void` | `push​(ResteasyProviderFactory factory)` |
    `ResteasyProviderFactory` | `register​(Class<?> providerClass)` |
    `ResteasyProviderFactory` | `register​(Class<?> componentClass, int priority)` |
    `ResteasyProviderFactory` | `register​(Class<?> componentClass, Class<?>... contracts)` |
    `ResteasyProviderFactory` | `register​(Class<?> componentClass, Map<Class<?>,​Integer> contracts)` |
    `ResteasyProviderFactory` | `register​(Object provider)` |
    `ResteasyProviderFactory` | `register​(Object component, int priority)` |
    `ResteasyProviderFactory` | `register​(Object component, Class<?>... contracts)` |
    `ResteasyProviderFactory` | `register​(Object component, Map<Class<?>,​Integer> contracts)` |
    `void` | `registerProvider​(Class provider)` |
    `void` | `registerProvider​(Class provider, boolean isBuiltin)` | Register a @Provider class.
    `void` | `registerProvider​(Class provider, Integer priorityOverride, boolean isBuiltin, Map<Class<?>,​Integer> contracts)` |
    `void` | `registerProviderInstance​(Object provider)` | Register a @Provider object.
    `void` | `registerProviderInstance​(Object provider, Map<Class<?>,​Integer> contracts, Integer defaultPriority, boolean builtIn)` |
    `void` | `setBuiltinsRegistered​(boolean builtinsRegistered)` |
    `void` | `setInjectorFactory​(InjectorFactory injectorFactory)` |
    `ResteasyProviderFactory` | `setProperties​(Map<String,​Object> properties)` |
    `void` | `setRegisterBuiltins​(boolean registerBuiltins)` |
    `String` | `toHeaderString​(Object object)` | Convert an object to a header string.
    `String` | `toString​(Object object, Class clazz, Type genericType, Annotation[] annotations)` | Convert an object to a string.

    - ### Methods inherited from class org.jboss.resteasy.core.providerfactory.ResteasyProviderFactoryImpl

      `addContextInjector, addContextResolver, addFeature, addHeaderDelegate, addHeaderDelegate, addHeaderDelegateIfAbsent, addInjectorFactory, addParameterConverterProvider, addResourceClassProcessor, addStringParameterUnmarshaller, getAsyncClientResponseProvider, getAsyncClientResponseProviders, getClassContracts, getClientHelper, getClientMessageBodyReaders, getClientMessageBodyWriters, getContextData, getContextResolvers, getExceptionMapperForClass, getHeaderDelegates, getMutableProviderClasses, getPossibleMessageBodyWritersMap, getResourceBuilder, getRxInvokerProvider, getRxInvokerProviderFromReactiveClass, getServerHelper, getServerMessageBodyReader, getServerMessageBodyReader, getServerMessageBodyReaders, getServerMessageBodyWriter, getServerMessageBodyWriter, getServerMessageBodyWriters, getSortedParamConverterProviders, getStatisticsController, getStringParameterUnmarshallers, initializeClientProviders, initializeCommon, isOnServer, isReactive, lockSnapshots, registerBuiltin`

    - ### Methods inherited from class org.jboss.resteasy.spi.ResteasyProviderFactory

      `clearInstanceIfEqual, getInstance, isA, isA, newInstance, peekInstance, setInstance, setRegisterBuiltinByDefault`

    - ### Methods inherited from class javax.ws.rs.ext.RuntimeDelegate

      `setInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThreadLocalResteasyProviderFactory

          public ThreadLocalResteasyProviderFactory​(ResteasyProviderFactory defaultFactory)

  - ### Method Detail

    - #### getDelegate

          public ResteasyProviderFactory getDelegate()

      Specified by:
        `getDelegate` in interface `ProviderFactoryDelegate`

    - #### initialize

          protected void initialize()

      Overrides:
        `initialize` in class `ResteasyProviderFactoryImpl`

    - #### getConcreteMediaTypeFromMessageBodyWriters

          public javax.ws.rs.core.MediaType getConcreteMediaTypeFromMessageBodyWriters​(Class<?> type,
                                                                                       Type genericType,
                                                                                       Annotation[] annotations,
                                                                                       javax.ws.rs.core.MediaType mediaType)

      Overrides:
        `getConcreteMediaTypeFromMessageBodyWriters` in class `ResteasyProviderFactoryImpl`

    - #### getHeaderDelegate

          public javax.ws.rs.ext.RuntimeDelegate.HeaderDelegate<?> getHeaderDelegate​(Class<?> aClass)

      Description copied from class: `ResteasyProviderFactoryImpl`
      Checks to see if RuntimeDelegate is a ResteasyProviderFactory If it is, then use that, otherwise use this.
      Overrides:
        `getHeaderDelegate` in class `ResteasyProviderFactoryImpl`
      Parameters:
        `aClass` - class of the header
      Returns:
        header delegate

    - #### injectedInstance

          public <T> T injectedInstance​(Class<? extends T> clazz,
                                        HttpRequest request,
                                        HttpResponse response)

      Description copied from class: `ResteasyProviderFactoryImpl`
      Property and constructor injection using the InjectorFactory.
      Overrides:
        `injectedInstance` in class `ResteasyProviderFactoryImpl`
      Type Parameters:
        `T` - type
      Parameters:
        `clazz` - class
        `request` - http request
        `response` - http response
      Returns:
        instance of type T

    - #### injectProperties

          public void injectProperties​(Object obj,
                                       HttpRequest request,
                                       HttpResponse response)

      Overrides:
        `injectProperties` in class `ResteasyProviderFactoryImpl`

    - #### push

          public static void push​(ResteasyProviderFactory factory)

    - #### pop

          public static void pop()

    - #### getContainerResponseFilterRegistry

          public JaxrsInterceptorRegistry<javax.ws.rs.container.ContainerResponseFilter> getContainerResponseFilterRegistry()

      Overrides:
        `getContainerResponseFilterRegistry` in class `ResteasyProviderFactoryImpl`

    - #### getServerReaderInterceptorRegistry

          public JaxrsInterceptorRegistry<javax.ws.rs.ext.ReaderInterceptor> getServerReaderInterceptorRegistry()

      Overrides:
        `getServerReaderInterceptorRegistry` in class `ResteasyProviderFactoryImpl`

    - #### createVariantListBuilder

          public javax.ws.rs.core.Variant.VariantListBuilder createVariantListBuilder()

      Overrides:
        `createVariantListBuilder` in class `ResteasyProviderFactoryImpl`

    - #### getContextResolvers

          public List<javax.ws.rs.ext.ContextResolver> getContextResolvers​(Class<?> clazz,
                                                                           javax.ws.rs.core.MediaType type)

      Overrides:
        `getContextResolvers` in class `ResteasyProviderFactoryImpl`

    - #### isBuiltinsRegistered

          public boolean isBuiltinsRegistered()

      Overrides:
        `isBuiltinsRegistered` in class `ResteasyProviderFactoryImpl`

    - #### setBuiltinsRegistered

          public void setBuiltinsRegistered​(boolean builtinsRegistered)

      Overrides:
        `setBuiltinsRegistered` in class `ResteasyProviderFactoryImpl`

    - #### register

          public ResteasyProviderFactory register​(Class<?> providerClass)

      Specified by:
        `register` in interface `javax.ws.rs.core.Configurable<ResteasyProviderFactory>`
      Overrides:
        `register` in class `ResteasyProviderFactoryImpl`

    - #### getClientDynamicFeatures

          public Set<javax.ws.rs.container.DynamicFeature> getClientDynamicFeatures()

      Overrides:
        `getClientDynamicFeatures` in class `ResteasyProviderFactoryImpl`

    - #### register

          public ResteasyProviderFactory register​(Class<?> componentClass,
                                                  Map<Class<?>,​Integer> contracts)

      Specified by:
        `register` in interface `javax.ws.rs.core.Configurable<ResteasyProviderFactory>`
      Overrides:
        `register` in class `ResteasyProviderFactoryImpl`

    - #### getEnabledFeatures

          public Collection<javax.ws.rs.core.Feature> getEnabledFeatures()

      Overrides:
        `getEnabledFeatures` in class `ResteasyProviderFactoryImpl`

    - #### createResponseBuilder

          public javax.ws.rs.core.Response.ResponseBuilder createResponseBuilder()

      Overrides:
        `createResponseBuilder` in class `ResteasyProviderFactoryImpl`

    - #### registerProviderInstance

          public void registerProviderInstance​(Object provider)

      Description copied from class: `ResteasyProviderFactoryImpl`
      Register a @Provider object. Can be a MessageBodyReader/Writer or ExceptionMapper.
      Overrides:
        `registerProviderInstance` in class `ResteasyProviderFactoryImpl`
      Parameters:
        `provider` - provider instance

    - #### createStringParameterUnmarshaller

          public <T> StringParameterUnmarshaller<T> createStringParameterUnmarshaller​(Class<T> clazz)

      Overrides:
        `createStringParameterUnmarshaller` in class `ResteasyProviderFactoryImpl`

    - #### setInjectorFactory

          public void setInjectorFactory​(InjectorFactory injectorFactory)

      Overrides:
        `setInjectorFactory` in class `ResteasyProviderFactoryImpl`

    - #### getInstances

          public Set<Object> getInstances()

      Specified by:
        `getInstances` in interface `javax.ws.rs.core.Configuration`
      Overrides:
        `getInstances` in class `ResteasyProviderFactoryImpl`

    - #### isRegistered

          public boolean isRegistered​(Object component)

      Specified by:
        `isRegistered` in interface `javax.ws.rs.core.Configuration`
      Overrides:
        `isRegistered` in class `ResteasyProviderFactoryImpl`

    - #### register

          public ResteasyProviderFactory register​(Class<?> componentClass,
                                                  int priority)

      Specified by:
        `register` in interface `javax.ws.rs.core.Configurable<ResteasyProviderFactory>`
      Overrides:
        `register` in class `ResteasyProviderFactoryImpl`

    - #### getContextResolver

          public <T> javax.ws.rs.ext.ContextResolver<T> getContextResolver​(Class<T> contextType,
                                                                           javax.ws.rs.core.MediaType mediaType)

      Specified by:
        `getContextResolver` in interface `javax.ws.rs.ext.Providers`
      Overrides:
        `getContextResolver` in class `ResteasyProviderFactoryImpl`

    - #### getMessageBodyReader

          public <T> javax.ws.rs.ext.MessageBodyReader<T> getMessageBodyReader​(Class<T> type,
                                                                               Type genericType,
                                                                               Annotation[] annotations,
                                                                               javax.ws.rs.core.MediaType mediaType)

      Description copied from class: `ResteasyProviderFactoryImpl`
      Always returns server MBRs.
      Specified by:
        `getMessageBodyReader` in interface `javax.ws.rs.ext.Providers`
      Overrides:
        `getMessageBodyReader` in class `ResteasyProviderFactoryImpl`
      Type Parameters:
        `T` - type
      Parameters:
        `type` - the class of the object that is to be read.
        `genericType` - the type of object to be produced. E.g. if the message body is to be converted into a method parameter, this will be the formal type of the method parameter as returned by `Class.getGenericParameterTypes`.
        `annotations` - an array of the annotations on the declaration of the artifact that will be initialized with the produced instance. E.g. if the message body is to be converted into a method parameter, this will be the annotations on that parameter returned by `Class.getParameterAnnotations`.
        `mediaType` - the media type of the data that will be read.
      Returns:
        message reader

    - #### registerProvider

          public void registerProvider​(Class provider,
                                       Integer priorityOverride,
                                       boolean isBuiltin,
                                       Map<Class<?>,​Integer> contracts)

      Overrides:
        `registerProvider` in class `ResteasyProviderFactoryImpl`

    - #### getContainerRequestFilterRegistry

          public JaxrsInterceptorRegistry<javax.ws.rs.container.ContainerRequestFilter> getContainerRequestFilterRegistry()

      Overrides:
        `getContainerRequestFilterRegistry` in class `ResteasyProviderFactoryImpl`

    - #### register

          public ResteasyProviderFactory register​(Object component,
                                                  Map<Class<?>,​Integer> contracts)

      Specified by:
        `register` in interface `javax.ws.rs.core.Configurable<ResteasyProviderFactory>`
      Overrides:
        `register` in class `ResteasyProviderFactoryImpl`

    - #### isRegisterBuiltins

          public boolean isRegisterBuiltins()

      Overrides:
        `isRegisterBuiltins` in class `ResteasyProviderFactoryImpl`

    - #### getClientReaderInterceptorRegistry

          public JaxrsInterceptorRegistry<javax.ws.rs.ext.ReaderInterceptor> getClientReaderInterceptorRegistry()

      Overrides:
        `getClientReaderInterceptorRegistry` in class `ResteasyProviderFactoryImpl`

    - #### setRegisterBuiltins

          public void setRegisterBuiltins​(boolean registerBuiltins)

      Overrides:
        `setRegisterBuiltins` in class `ResteasyProviderFactoryImpl`

    - #### register

          public ResteasyProviderFactory register​(Object component,
                                                  int priority)

      Specified by:
        `register` in interface `javax.ws.rs.core.Configurable<ResteasyProviderFactory>`
      Overrides:
        `register` in class `ResteasyProviderFactoryImpl`

    - #### registerProvider

          public void registerProvider​(Class provider,
                                       boolean isBuiltin)

      Description copied from class: `ResteasyProviderFactoryImpl`
      Register a @Provider class. Can be a MessageBodyReader/Writer or ExceptionMapper.
      Overrides:
        `registerProvider` in class `ResteasyProviderFactoryImpl`
      Parameters:
        `provider` - provider class
        `isBuiltin` - built-in

    - #### getPropertyNames

          public Collection<String> getPropertyNames()

      Specified by:
        `getPropertyNames` in interface `javax.ws.rs.core.Configuration`
      Overrides:
        `getPropertyNames` in class `ResteasyProviderFactoryImpl`

    - #### register

          public ResteasyProviderFactory register​(Object provider)

      Specified by:
        `register` in interface `javax.ws.rs.core.Configurable<ResteasyProviderFactory>`
      Overrides:
        `register` in class `ResteasyProviderFactoryImpl`

    - #### createProviderInstance

          public <T> T createProviderInstance​(Class<? extends T> clazz)

      Description copied from class: `ResteasyProviderFactoryImpl`
      Create an instance of a class using provider allocation rules of the specification as well as the InjectorFactory only does constructor injection.
      Overrides:
        `createProviderInstance` in class `ResteasyProviderFactoryImpl`
      Type Parameters:
        `T` - type
      Parameters:
        `clazz` - class
      Returns:
        provider instance of type T

    - #### isRegistered

          public boolean isRegistered​(Class<?> componentClass)

      Specified by:
        `isRegistered` in interface `javax.ws.rs.core.Configuration`
      Overrides:
        `isRegistered` in class `ResteasyProviderFactoryImpl`

    - #### createEndpoint

          public <T> T createEndpoint​(javax.ws.rs.core.Application applicationConfig,
                                      Class<T> endpointType)
                               throws IllegalArgumentException,
                                      UnsupportedOperationException

      Description copied from class: `ResteasyProviderFactoryImpl`
      This is a spec method that is unsupported. It is an optional method anyways.
      Overrides:
        `createEndpoint` in class `ResteasyProviderFactoryImpl`
      Parameters:
        `applicationConfig` - application
        `endpointType` - endpoint type
      Returns:
        endpoint
      Throws:
        `IllegalArgumentException` - if applicationConfig is null
        `UnsupportedOperationException` - allways throw since this method is not supported

    - #### getMutableProperties

          public Map<String,​Object> getMutableProperties()

      Overrides:
        `getMutableProperties` in class `ResteasyProviderFactoryImpl`

    - #### getServerDynamicFeatures

          public Set<javax.ws.rs.container.DynamicFeature> getServerDynamicFeatures()

      Overrides:
        `getServerDynamicFeatures` in class `ResteasyProviderFactoryImpl`

    - #### isEnabled

          public boolean isEnabled​(javax.ws.rs.core.Feature feature)

      Specified by:
        `isEnabled` in interface `javax.ws.rs.core.Configuration`
      Overrides:
        `isEnabled` in class `ResteasyProviderFactoryImpl`

    - #### getProperty

          public Object getProperty​(String name)

      Specified by:
        `getProperty` in interface `javax.ws.rs.core.Configuration`
      Overrides:
        `getProperty` in class `ResteasyProviderFactoryImpl`

    - #### getServerWriterInterceptorRegistry

          public JaxrsInterceptorRegistry<javax.ws.rs.ext.WriterInterceptor> getServerWriterInterceptorRegistry()

      Overrides:
        `getServerWriterInterceptorRegistry` in class `ResteasyProviderFactoryImpl`

    - #### setProperties

          public ResteasyProviderFactory setProperties​(Map<String,​Object> properties)

      Overrides:
        `setProperties` in class `ResteasyProviderFactoryImpl`

    - #### createUriBuilder

          public javax.ws.rs.core.UriBuilder createUriBuilder()

      Overrides:
        `createUriBuilder` in class `ResteasyProviderFactoryImpl`

    - #### register

          public ResteasyProviderFactory register​(Class<?> componentClass,
                                                  Class<?>... contracts)

      Specified by:
        `register` in interface `javax.ws.rs.core.Configurable<ResteasyProviderFactory>`
      Overrides:
        `register` in class `ResteasyProviderFactoryImpl`

    - #### injectedInstance

          public <T> T injectedInstance​(Class<? extends T> clazz)

      Description copied from class: `ResteasyProviderFactoryImpl`
      Property and constructor injection using the InjectorFactory.
      Overrides:
        `injectedInstance` in class `ResteasyProviderFactoryImpl`
      Type Parameters:
        `T` - type
      Parameters:
        `clazz` - class
      Returns:
        instance of type T

    - #### getRuntimeType

          public javax.ws.rs.RuntimeType getRuntimeType()

      Specified by:
        `getRuntimeType` in interface `javax.ws.rs.core.Configuration`
      Overrides:
        `getRuntimeType` in class `ResteasyProviderFactoryImpl`

    - #### injectProperties

          public void injectProperties​(Object obj)

      Overrides:
        `injectProperties` in class `ResteasyProviderFactoryImpl`

    - #### property

          public ResteasyProviderFactory property​(String name,
                                                  Object value)

      Specified by:
        `property` in interface `javax.ws.rs.core.Configurable<ResteasyProviderFactory>`
      Overrides:
        `property` in class `ResteasyProviderFactoryImpl`

    - #### getClientWriterInterceptorRegistry

          public JaxrsInterceptorRegistry<javax.ws.rs.ext.WriterInterceptor> getClientWriterInterceptorRegistry()

      Overrides:
        `getClientWriterInterceptorRegistry` in class `ResteasyProviderFactoryImpl`

    - #### getInjectorFactory

          public InjectorFactory getInjectorFactory()

      Overrides:
        `getInjectorFactory` in class `ResteasyProviderFactoryImpl`

    - #### getContracts

          public Map<Class<?>,​Integer> getContracts​(Class<?> componentClass)

      Specified by:
        `getContracts` in interface `javax.ws.rs.core.Configuration`
      Overrides:
        `getContracts` in class `ResteasyProviderFactoryImpl`

    - #### getParamConverter

          public javax.ws.rs.ext.ParamConverter getParamConverter​(Class clazz,
                                                                  Type genericType,
                                                                  Annotation[] annotations)

      Overrides:
        `getParamConverter` in class `ResteasyProviderFactoryImpl`

    - #### getClientResponseFilters

          public JaxrsInterceptorRegistry<javax.ws.rs.client.ClientResponseFilter> getClientResponseFilters()

      Overrides:
        `getClientResponseFilters` in class `ResteasyProviderFactoryImpl`

    - #### register

          public ResteasyProviderFactory register​(Object component,
                                                  Class<?>... contracts)

      Specified by:
        `register` in interface `javax.ws.rs.core.Configurable<ResteasyProviderFactory>`
      Overrides:
        `register` in class `ResteasyProviderFactoryImpl`

    - #### getClasses

          public Set<Class<?>> getClasses()

      Specified by:
        `getClasses` in interface `javax.ws.rs.core.Configuration`
      Overrides:
        `getClasses` in class `ResteasyProviderFactoryImpl`

    - #### isEnabled

          public boolean isEnabled​(Class<? extends javax.ws.rs.core.Feature> featureClass)

      Specified by:
        `isEnabled` in interface `javax.ws.rs.core.Configuration`
      Overrides:
        `isEnabled` in class `ResteasyProviderFactoryImpl`

    - #### registerProvider

          public void registerProvider​(Class provider)

      Overrides:
        `registerProvider` in class `ResteasyProviderFactoryImpl`

    - #### addHeaderDelegate

          public void addHeaderDelegate​(Class clazz,
                                        javax.ws.rs.ext.RuntimeDelegate.HeaderDelegate header)

      Overrides:
        `addHeaderDelegate` in class `ResteasyProviderFactoryImpl`

    - #### registerProviderInstance

          public void registerProviderInstance​(Object provider,
                                               Map<Class<?>,​Integer> contracts,
                                               Integer defaultPriority,
                                               boolean builtIn)

      Overrides:
        `registerProviderInstance` in class `ResteasyProviderFactoryImpl`

    - #### getProviderClasses

          public Set<Class<?>> getProviderClasses()

      Description copied from class: `ResteasyProviderFactoryImpl`
      Gets provide classes.
      Overrides:
        `getProviderClasses` in class `ResteasyProviderFactoryImpl`
      Returns:
        set of provider classes

    - #### toString

          public String toString​(Object object,
                                 Class clazz,
                                 Type genericType,
                                 Annotation[] annotations)

      Description copied from class: `ResteasyProviderFactoryImpl`
      Convert an object to a string. First try StringConverter then, object.ToString()
      Overrides:
        `toString` in class `ResteasyProviderFactoryImpl`
      Parameters:
        `object` - object
        `clazz` - class
        `genericType` - generic type
        `annotations` - array of annotation
      Returns:
        string representation

    - #### getClientRequestFilterRegistry

          public JaxrsInterceptorRegistry<javax.ws.rs.client.ClientRequestFilter> getClientRequestFilterRegistry()

      Overrides:
        `getClientRequestFilterRegistry` in class `ResteasyProviderFactoryImpl`

    - #### getProperties

          public Map<String,​Object> getProperties()

      Specified by:
        `getProperties` in interface `javax.ws.rs.core.Configuration`
      Overrides:
        `getProperties` in class `ResteasyProviderFactoryImpl`

    - #### toHeaderString

          public String toHeaderString​(Object object)

      Description copied from interface: `HeaderValueProcessor`
      Convert an object to a header string. First try StringConverter, then HeaderDelegate, then object.toString().
      Specified by:
        `toHeaderString` in interface `HeaderValueProcessor`
      Overrides:
        `toHeaderString` in class `ResteasyProviderFactoryImpl`
      Parameters:
        `object` - header object
      Returns:
        header string representation

    - #### createLinkBuilder

          public javax.ws.rs.core.Link.Builder createLinkBuilder()

      Overrides:
        `createLinkBuilder` in class `ResteasyProviderFactoryImpl`

    - #### getProviderInstances

          public Set<Object> getProviderInstances()

      Description copied from class: `ResteasyProviderFactoryImpl`
      Gets provider instances.
      Overrides:
        `getProviderInstances` in class `ResteasyProviderFactoryImpl`
      Returns:
        set of provider instances

    - #### getConfiguration

          public javax.ws.rs.core.Configuration getConfiguration()

      Specified by:
        `getConfiguration` in interface `javax.ws.rs.core.Configurable<ResteasyProviderFactory>`
      Overrides:
        `getConfiguration` in class `ResteasyProviderFactoryImpl`

    - #### getMessageBodyWriter

          public <T> javax.ws.rs.ext.MessageBodyWriter<T> getMessageBodyWriter​(Class<T> type,
                                                                               Type genericType,
                                                                               Annotation[] annotations,
                                                                               javax.ws.rs.core.MediaType mediaType)

      Description copied from class: `ResteasyProviderFactoryImpl`
      Always gets server MBW.
      Specified by:
        `getMessageBodyWriter` in interface `javax.ws.rs.ext.Providers`
      Overrides:
        `getMessageBodyWriter` in class `ResteasyProviderFactoryImpl`
      Type Parameters:
        `T` - type
      Parameters:
        `type` - the class of the object that is to be written.
        `genericType` - the type of object to be written. E.g. if the message body is to be produced from a field, this will be the declared type of the field as returned by `Field.getGenericType`.
        `annotations` - an array of the annotations on the declaration of the artifact that will be written. E.g. if the message body is to be produced from a field, this will be the annotations on that field returned by `Field.getDeclaredAnnotations`.
        `mediaType` - the media type of the data that will be written.
      Returns:
        message writer

    - #### getExceptionMapper

          public <T extends Throwable> javax.ws.rs.ext.ExceptionMapper<T> getExceptionMapper​(Class<T> type)

      Specified by:
        `getExceptionMapper` in interface `javax.ws.rs.ext.Providers`
      Overrides:
        `getExceptionMapper` in class `ResteasyProviderFactoryImpl`

    - #### getAsyncResponseProvider

          public <T> AsyncResponseProvider<T> getAsyncResponseProvider​(Class<T> type)

      Overrides:
        `getAsyncResponseProvider` in class `ResteasyProviderFactoryImpl`

    - #### getAsyncResponseProviders

          public Map<Class<?>,​AsyncResponseProvider> getAsyncResponseProviders()

      Overrides:
        `getAsyncResponseProviders` in class `ResteasyProviderFactoryImpl`

    - #### getAsyncStreamProvider

          public <T> AsyncStreamProvider<T> getAsyncStreamProvider​(Class<T> type)

      Overrides:
        `getAsyncStreamProvider` in class `ResteasyProviderFactoryImpl`

    - #### getAsyncStreamProviders

          public Map<Class<?>,​AsyncStreamProvider> getAsyncStreamProviders()

      Overrides:
        `getAsyncStreamProviders` in class `ResteasyProviderFactoryImpl`

    - #### createHeaderDelegate

          public <T> javax.ws.rs.ext.RuntimeDelegate.HeaderDelegate<T> createHeaderDelegate​(Class<T> tClass)

      Overrides:
        `createHeaderDelegate` in class `ResteasyProviderFactoryImpl`

    - #### getContextData

          public <T> T getContextData​(Class<T> rawType,
                                      Type genericType,
                                      Annotation[] annotations,
                                      boolean unwrapAsync)

      Overrides:
        `getContextData` in class `ResteasyProviderFactoryImpl`

    - #### getContextInjectors

          public Map<Type,​ContextInjector> getContextInjectors()

      Overrides:
        `getContextInjectors` in class `ResteasyProviderFactoryImpl`

    - #### getAsyncContextInjectors

          public Map<Type,​ContextInjector> getAsyncContextInjectors()

      Overrides:
        `getAsyncContextInjectors` in class `ResteasyProviderFactoryImpl`

    - #### getClientMessageBodyWriter

          public <T> javax.ws.rs.ext.MessageBodyWriter<T> getClientMessageBodyWriter​(Class<T> type,
                                                                                     Type genericType,
                                                                                     Annotation[] annotations,
                                                                                     javax.ws.rs.core.MediaType mediaType)

      Overrides:
        `getClientMessageBodyWriter` in class `ResteasyProviderFactoryImpl`

    - #### getClientMessageBodyReader

          public <T> javax.ws.rs.ext.MessageBodyReader<T> getClientMessageBodyReader​(Class<T> type,
                                                                                     Type genericType,
                                                                                     Annotation[] annotations,
                                                                                     javax.ws.rs.core.MediaType mediaType)

      Overrides:
        `getClientMessageBodyReader` in class `ResteasyProviderFactoryImpl`